Skip to main content
POST
/
list
cURL
curl --request POST \
  --url https://api.osohq.com/api/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actor_type": "<string>",
  "actor_id": "<string>",
  "action": "<string>",
  "resource_type": "<string>",
  "page_size": 10000
}
'
{
  "results": [
    "<string>"
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Requires an API key to access.

Body

application/json
actor_type
string
required
actor_id
string
required
action
string
required
resource_type
string
required
page_size
integer<uint>
default:10000
required

Required. Page size for pagination. Must be at least 10,000. Results will be paginated and a next_page_token will be included in the response if more results are available. Ignored when page_token is provided, since the page size is determined by the original request.

Required range: x >= 10000
context_facts
object[]
page_token
string | null

Page token for fetching subsequent pages of results. Use the next_page_token from a previous response. When provided, page_size is ignored.

Response

results
string[]
required
next_page_token
string | null
required

Optional token for fetching the next page of results. Present when more results are available.